<section class="main-container">
    <section class="action-btn">
        <app-logout-btn class="logout-btn"></app-logout-btn>
    </section>
    <section class="doctorList-container">
        <app-left-nav-bar></app-left-nav-bar>
        
        <div class="doctor-table mat-elevation-z8">
    
            <mat-table #table  [dataSource]="dataSource" class="table">
    
             <ng-container matColumnDef="notification">
                <mat-header-cell *matHeaderCellDef> Notification ID's </mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element._id}} </mat-cell>
            </ng-container>
    
            <ng-container matColumnDef="createdAt">
                <mat-header-cell *matHeaderCellDef> CreatedAt </mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.createdAt}} </mat-cell>
            </ng-container>
    
            <ng-container matColumnDef="delete">
                <mat-header-cell *matHeaderCellDef> Delete Notifications </mat-header-cell>
                <mat-cell *matCellDef="let element"> <app-button (click)="deleteNotification(element)">Delete </app-button> </mat-cell>
            </ng-container>
             
               <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
               <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
             </mat-table>
             <mat-paginator #paginator
                          [pageSize]="5"
                          [pageSizeOptions]="[5, 10, 20]">
           </mat-paginator>
         </div>
   
    </section>
</section>